<?php

namespace Litecms\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProducstTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Product\Models\Producst $producst)
    {
        return [
            'id'                => $producst->getRouteKey(),
            'key'               => [
                'public'    => $producst->getPublicKey(),
                'route'     => $producst->getRouteKey(),
            ], 
            'Product_name'      => $producst->Product_name,
            'url'               => [
                'public'    => trans_url('product/'.$producst->getPublicKey()),
                'user'      => guard_url('product/producst/'.$producst->getRouteKey()),
            ], 
            'status'            => trans('app.'.$producst->status),
            'created_at'        => format_date($producst->created_at),
            'updated_at'        => format_date($producst->updated_at),
        ];
    }
}